/* Plug.c generated by valac 0.56.17, the Vala compiler
 * generated from Plug.vala, do not modify */

/*
 * SPDX-License-Identifier: GPL-2.0-or-later
 * SPDX-FileCopyrightText: 2011-2023 elementary, Inc. (https://elementary.io)
 */

#include "io.elementary.settings.sharing.h"
#include <gtk/gtk.h>
#include <switchboard.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <gee.h>
#include <glib-object.h>
#include <glib/gi18n-lib.h>
#include <granite-7.h>
#include <gmodule.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	SHARING_PLUG_0_PROPERTY,
	SHARING_PLUG_NUM_PROPERTIES
};
static GParamSpec* sharing_plug_properties[SHARING_PLUG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _SharingPlugSearchData SharingPlugSearchData;

struct _SharingPlugPrivate {
	GtkStack* content;
};

struct _SharingPlugSearchData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	SharingPlug* self;
	gchar* search;
	GeeTreeMap* result;
	GeeTreeMap* search_results;
	GCompareFunc _tmp0_;
	GEqualFunc _tmp1_;
	GeeTreeMap* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	const gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
};

static gint SharingPlug_private_offset;
static gpointer sharing_plug_parent_class = NULL;

static GtkWidget* sharing_plug_real_get_widget (SwitchboardPlug* base);
static void ___lambda11_ (SharingPlug* self);
static void sharing_plug_update_content_view (SharingPlug* self);
static void ____lambda11__g_network_monitor_network_changed (GNetworkMonitor* _sender,
                                                      gboolean network_available,
                                                      gpointer self);
static void sharing_plug_real_shown (SwitchboardPlug* base);
static void sharing_plug_real_hidden (SwitchboardPlug* base);
static void sharing_plug_real_search_callback (SwitchboardPlug* base,
                                        const gchar* location);
static void sharing_plug_real_search_data_free (gpointer _data);
static void sharing_plug_real_search (SwitchboardPlug* base,
                               const gchar* search,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);
static gboolean sharing_plug_real_search_co (SharingPlugSearchData* _data_);
static void sharing_plug_finalize (GObject * obj);
static GType sharing_plug_get_type_once (void);

static inline gpointer
sharing_plug_get_instance_private (SharingPlug* self)
{
	return G_STRUCT_MEMBER_P (self, SharingPlug_private_offset);
}

SharingPlug*
sharing_plug_construct (GType object_type)
{
	SharingPlug * self = NULL;
	GeeTreeMap* settings = NULL;
	GeeTreeMap* _tmp0_;
#line 10 "../src/Plug.vala"
	bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
#line 11 "../src/Plug.vala"
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
#line 13 "../src/Plug.vala"
	_tmp0_ = gee_tree_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL, NULL, NULL, NULL);
#line 13 "../src/Plug.vala"
	settings = _tmp0_;
#line 14 "../src/Plug.vala"
	gee_abstract_map_set ((GeeAbstractMap*) settings, "network/share", NULL);
#line 15 "../src/Plug.vala"
	self = (SharingPlug*) g_object_new (object_type, "category", SWITCHBOARD_PLUG_CATEGORY_NETWORK, "code-name", "io.elementary.settings.sharing", "display-name", _ ("Sharing"), "description", _ ("Configure file and media sharing"), "icon", "preferences-system-sharing", "supported-settings", settings, NULL);
#line 9 "../src/Plug.vala"
	_g_object_unref0 (settings);
#line 9 "../src/Plug.vala"
	return self;
#line 121 "Plug.c"
}

SharingPlug*
sharing_plug_new (void)
{
#line 9 "../src/Plug.vala"
	return sharing_plug_construct (SHARING_TYPE_PLUG);
#line 129 "Plug.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 58 "../src/Plug.vala"
	return self ? g_object_ref (self) : NULL;
#line 137 "Plug.c"
}

static void
___lambda11_ (SharingPlug* self)
{
#line 70 "../src/Plug.vala"
	sharing_plug_update_content_view (self);
#line 145 "Plug.c"
}

static void
____lambda11__g_network_monitor_network_changed (GNetworkMonitor* _sender,
                                                 gboolean network_available,
                                                 gpointer self)
{
#line 70 "../src/Plug.vala"
	___lambda11_ ((SharingPlug*) self);
#line 155 "Plug.c"
}

static GtkWidget*
sharing_plug_real_get_widget (SwitchboardPlug* base)
{
	SharingPlug * self;
	GtkStack* _tmp0_;
	GtkStack* _tmp34_;
	GtkWidget* _tmp35_;
	GtkWidget* result;
#line 23 "../src/Plug.vala"
	self = (SharingPlug*) base;
#line 24 "../src/Plug.vala"
	_tmp0_ = self->priv->content;
#line 24 "../src/Plug.vala"
	if (_tmp0_ == NULL) {
#line 172 "Plug.c"
		GranitePlaceholder* network_alert_view = NULL;
		GThemedIcon* _tmp1_;
		gchar* _tmp2_;
		GranitePlaceholder* _tmp3_ = NULL;
		GranitePlaceholder* _tmp4_;
		GtkLinkButton* link_button = NULL;
		GtkLinkButton* _tmp5_;
		GtkLinkButton* _tmp6_;
		GtkLinkButton* _tmp7_;
		GtkLinkButton* _tmp8_;
		GtkGrid* network_grid_view = NULL;
		GtkGrid* _tmp9_ = NULL;
		GtkGrid* _tmp10_;
		GranitePlaceholder* _tmp11_;
		GtkGrid* _tmp12_;
		GtkLinkButton* _tmp13_;
		SharingWidgetsDLNAPage* dlna_page = NULL;
		SharingWidgetsDLNAPage* _tmp14_;
		SharingWidgetsBluetoothPage* bluetooth_page = NULL;
		SharingWidgetsBluetoothPage* _tmp15_;
		GtkStack* settings_view = NULL;
		GtkStack* _tmp16_;
		GtkStack* _tmp17_;
		SharingWidgetsDLNAPage* _tmp18_;
		GtkStack* _tmp19_;
		SharingWidgetsBluetoothPage* _tmp20_;
		SwitchboardSettingsSidebar* sidebar = NULL;
		GtkStack* _tmp21_;
		SwitchboardSettingsSidebar* _tmp22_ = NULL;
		GtkPaned* main_container = NULL;
		SwitchboardSettingsSidebar* _tmp23_;
		GtkWidget* _tmp24_;
		GtkStack* _tmp25_;
		GtkWidget* _tmp26_;
		GtkPaned* _tmp27_ = NULL;
		GtkStack* _tmp28_;
		GtkStack* _tmp29_;
		GtkPaned* _tmp30_;
		GtkStack* _tmp31_;
		GtkGrid* _tmp32_;
		GNetworkMonitor* _tmp33_;
#line 25 "../src/Plug.vala"
		_tmp1_ = (GThemedIcon*) g_themed_icon_new ("network-error");
#line 25 "../src/Plug.vala"
		_tmp2_ = g_strdup (_ ("While disconnected from the network, sharing services are not availabl" \
"e."));
#line 25 "../src/Plug.vala"
		_tmp3_ = granite_placeholder_new (_ ("Network Is Not Available"));
#line 25 "../src/Plug.vala"
		granite_placeholder_set_icon (_tmp3_, (GIcon*) _tmp1_);
#line 25 "../src/Plug.vala"
		_g_object_unref0 (_tmp1_);
#line 25 "../src/Plug.vala"
		granite_placeholder_set_description (_tmp3_, _tmp2_);
#line 25 "../src/Plug.vala"
		_g_free0 (_tmp2_);
#line 25 "../src/Plug.vala"
		g_object_ref_sink (_tmp3_);
#line 25 "../src/Plug.vala"
		network_alert_view = _tmp3_;
#line 31 "../src/Plug.vala"
		_tmp4_ = network_alert_view;
#line 31 "../src/Plug.vala"
		gtk_widget_remove_css_class ((GtkWidget*) _tmp4_, GRANITE_STYLE_CLASS_VIEW);
#line 33 "../src/Plug.vala"
		_tmp5_ = (GtkLinkButton*) gtk_link_button_new_with_label ("settings://network", _ ("Network settings…"));
#line 33 "../src/Plug.vala"
		g_object_ref_sink (_tmp5_);
#line 33 "../src/Plug.vala"
		link_button = _tmp5_;
#line 34 "../src/Plug.vala"
		_tmp6_ = link_button;
#line 34 "../src/Plug.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_END);
#line 35 "../src/Plug.vala"
		_tmp7_ = link_button;
#line 35 "../src/Plug.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_END);
#line 36 "../src/Plug.vala"
		_tmp8_ = link_button;
#line 36 "../src/Plug.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp8_, TRUE);
#line 38 "../src/Plug.vala"
		_tmp9_ = (GtkGrid*) gtk_grid_new ();
#line 38 "../src/Plug.vala"
		gtk_widget_set_margin_top ((GtkWidget*) _tmp9_, 12);
#line 38 "../src/Plug.vala"
		gtk_widget_set_margin_end ((GtkWidget*) _tmp9_, 12);
#line 38 "../src/Plug.vala"
		gtk_widget_set_margin_start ((GtkWidget*) _tmp9_, 12);
#line 38 "../src/Plug.vala"
		gtk_widget_set_margin_bottom ((GtkWidget*) _tmp9_, 12);
#line 38 "../src/Plug.vala"
		g_object_ref_sink (_tmp9_);
#line 38 "../src/Plug.vala"
		network_grid_view = _tmp9_;
#line 44 "../src/Plug.vala"
		_tmp10_ = network_grid_view;
#line 44 "../src/Plug.vala"
		_tmp11_ = network_alert_view;
#line 44 "../src/Plug.vala"
		gtk_grid_attach (_tmp10_, (GtkWidget*) _tmp11_, 0, 0, 1, 1);
#line 45 "../src/Plug.vala"
		_tmp12_ = network_grid_view;
#line 45 "../src/Plug.vala"
		_tmp13_ = link_button;
#line 45 "../src/Plug.vala"
		gtk_grid_attach (_tmp12_, (GtkWidget*) _tmp13_, 0, 1, 1, 1);
#line 47 "../src/Plug.vala"
		_tmp14_ = sharing_widgets_dlna_page_new ();
#line 47 "../src/Plug.vala"
		g_object_ref_sink (_tmp14_);
#line 47 "../src/Plug.vala"
		dlna_page = _tmp14_;
#line 48 "../src/Plug.vala"
		_tmp15_ = sharing_widgets_bluetooth_page_new ();
#line 48 "../src/Plug.vala"
		g_object_ref_sink (_tmp15_);
#line 48 "../src/Plug.vala"
		bluetooth_page = _tmp15_;
#line 50 "../src/Plug.vala"
		_tmp16_ = (GtkStack*) gtk_stack_new ();
#line 50 "../src/Plug.vala"
		g_object_ref_sink (_tmp16_);
#line 50 "../src/Plug.vala"
		settings_view = _tmp16_;
#line 51 "../src/Plug.vala"
		_tmp17_ = settings_view;
#line 51 "../src/Plug.vala"
		_tmp18_ = dlna_page;
#line 51 "../src/Plug.vala"
		gtk_stack_add_child (_tmp17_, (GtkWidget*) _tmp18_);
#line 52 "../src/Plug.vala"
		_tmp19_ = settings_view;
#line 52 "../src/Plug.vala"
		_tmp20_ = bluetooth_page;
#line 52 "../src/Plug.vala"
		gtk_stack_add_child (_tmp19_, (GtkWidget*) _tmp20_);
#line 54 "../src/Plug.vala"
		_tmp21_ = settings_view;
#line 54 "../src/Plug.vala"
		_tmp22_ = switchboard_settings_sidebar_new (_tmp21_);
#line 54 "../src/Plug.vala"
		switchboard_settings_sidebar_set_show_title_buttons (_tmp22_, TRUE);
#line 54 "../src/Plug.vala"
		g_object_ref_sink (_tmp22_);
#line 54 "../src/Plug.vala"
		sidebar = _tmp22_;
#line 58 "../src/Plug.vala"
		_tmp23_ = sidebar;
#line 58 "../src/Plug.vala"
		_tmp24_ = _g_object_ref0 ((GtkWidget*) _tmp23_);
#line 58 "../src/Plug.vala"
		_tmp25_ = settings_view;
#line 58 "../src/Plug.vala"
		_tmp26_ = _g_object_ref0 ((GtkWidget*) _tmp25_);
#line 58 "../src/Plug.vala"
		_tmp27_ = (GtkPaned*) gtk_paned_new (GTK_ORIENTATION_HORIZONTAL);
#line 58 "../src/Plug.vala"
		gtk_paned_set_start_child (_tmp27_, _tmp24_);
#line 58 "../src/Plug.vala"
		_g_object_unref0 (_tmp24_);
#line 58 "../src/Plug.vala"
		gtk_paned_set_end_child (_tmp27_, _tmp26_);
#line 58 "../src/Plug.vala"
		_g_object_unref0 (_tmp26_);
#line 58 "../src/Plug.vala"
		gtk_paned_set_resize_start_child (_tmp27_, FALSE);
#line 58 "../src/Plug.vala"
		gtk_paned_set_shrink_end_child (_tmp27_, FALSE);
#line 58 "../src/Plug.vala"
		gtk_paned_set_shrink_start_child (_tmp27_, FALSE);
#line 58 "../src/Plug.vala"
		g_object_ref_sink (_tmp27_);
#line 58 "../src/Plug.vala"
		main_container = _tmp27_;
#line 66 "../src/Plug.vala"
		_tmp28_ = (GtkStack*) gtk_stack_new ();
#line 66 "../src/Plug.vala"
		g_object_ref_sink (_tmp28_);
#line 66 "../src/Plug.vala"
		_g_object_unref0 (self->priv->content);
#line 66 "../src/Plug.vala"
		self->priv->content = _tmp28_;
#line 67 "../src/Plug.vala"
		_tmp29_ = self->priv->content;
#line 67 "../src/Plug.vala"
		_tmp30_ = main_container;
#line 67 "../src/Plug.vala"
		gtk_stack_add_named (_tmp29_, (GtkWidget*) _tmp30_, "main-container");
#line 68 "../src/Plug.vala"
		_tmp31_ = self->priv->content;
#line 68 "../src/Plug.vala"
		_tmp32_ = network_grid_view;
#line 68 "../src/Plug.vala"
		gtk_stack_add_named (_tmp31_, (GtkWidget*) _tmp32_, "network-alert-view");
#line 70 "../src/Plug.vala"
		_tmp33_ = g_network_monitor_get_default ();
#line 70 "../src/Plug.vala"
		g_signal_connect_object (_tmp33_, "network-changed", (GCallback) ____lambda11__g_network_monitor_network_changed, self, 0);
#line 72 "../src/Plug.vala"
		sharing_plug_update_content_view (self);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (main_container);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (sidebar);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (settings_view);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (bluetooth_page);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (dlna_page);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (network_grid_view);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (link_button);
#line 24 "../src/Plug.vala"
		_g_object_unref0 (network_alert_view);
#line 390 "Plug.c"
	}
#line 75 "../src/Plug.vala"
	_tmp34_ = self->priv->content;
#line 75 "../src/Plug.vala"
	_tmp35_ = _g_object_ref0 ((GtkWidget*) _tmp34_);
#line 75 "../src/Plug.vala"
	result = _tmp35_;
#line 75 "../src/Plug.vala"
	return result;
#line 400 "Plug.c"
}

static void
sharing_plug_real_shown (SwitchboardPlug* base)
{
	SharingPlug * self;
#line 78 "../src/Plug.vala"
	self = (SharingPlug*) base;
#line 409 "Plug.c"
}

static void
sharing_plug_real_hidden (SwitchboardPlug* base)
{
	SharingPlug * self;
#line 81 "../src/Plug.vala"
	self = (SharingPlug*) base;
#line 418 "Plug.c"
}

static void
sharing_plug_real_search_callback (SwitchboardPlug* base,
                                   const gchar* location)
{
	SharingPlug * self;
#line 84 "../src/Plug.vala"
	self = (SharingPlug*) base;
#line 84 "../src/Plug.vala"
	g_return_if_fail (location != NULL);
#line 430 "Plug.c"
}

static void
sharing_plug_real_search_data_free (gpointer _data)
{
	SharingPlugSearchData* _data_;
	_data_ = _data;
#line 6 "../src/Plug.vala"
	_g_free0 (_data_->search);
#line 6 "../src/Plug.vala"
	_g_object_unref0 (_data_->result);
#line 6 "../src/Plug.vala"
	_g_object_unref0 (_data_->self);
#line 6 "../src/Plug.vala"
	g_slice_free (SharingPlugSearchData, _data_);
#line 446 "Plug.c"
}

static void
sharing_plug_real_search (SwitchboardPlug* base,
                          const gchar* search,
                          GAsyncReadyCallback _callback_,
                          gpointer _user_data_)
{
	SharingPlug * self;
	SharingPlugSearchData* _data_;
	SharingPlug* _tmp0_;
	gchar* _tmp1_;
#line 6 "../src/Plug.vala"
	g_return_if_fail (search != NULL);
#line 6 "../src/Plug.vala"
	self = (SharingPlug*) base;
#line 6 "../src/Plug.vala"
	_data_ = g_slice_new0 (SharingPlugSearchData);
#line 6 "../src/Plug.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 6 "../src/Plug.vala"
	g_task_set_task_data (_data_->_async_result, _data_, sharing_plug_real_search_data_free);
#line 6 "../src/Plug.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 6 "../src/Plug.vala"
	_data_->self = _tmp0_;
#line 6 "../src/Plug.vala"
	_tmp1_ = g_strdup (search);
#line 6 "../src/Plug.vala"
	_g_free0 (_data_->search);
#line 6 "../src/Plug.vala"
	_data_->search = _tmp1_;
#line 6 "../src/Plug.vala"
	sharing_plug_real_search_co (_data_);
#line 481 "Plug.c"
}

static GeeTreeMap*
sharing_plug_search_finish (SwitchboardPlug* base,
                            GAsyncResult* _res_)
{
	GeeTreeMap* result;
	SharingPlugSearchData* _data_;
#line 6 "../src/Plug.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 6 "../src/Plug.vala"
	result = _data_->result;
#line 6 "../src/Plug.vala"
	_data_->result = NULL;
#line 6 "../src/Plug.vala"
	return result;
#line 498 "Plug.c"
}

static gboolean
sharing_plug_real_search_co (SharingPlugSearchData* _data_)
{
#line 88 "../src/Plug.vala"
	switch (_data_->_state_) {
#line 88 "../src/Plug.vala"
		case 0:
#line 508 "Plug.c"
		goto _state_0;
		default:
#line 88 "../src/Plug.vala"
		g_assert_not_reached ();
#line 513 "Plug.c"
	}
	_state_0:
#line 89 "../src/Plug.vala"
	_data_->_tmp0_ = ((GCompareFunc) g_strcmp0);
#line 89 "../src/Plug.vala"
	_data_->_tmp1_ = g_str_equal;
#line 89 "../src/Plug.vala"
	_data_->_tmp2_ = gee_tree_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, (GCompareDataFunc) _data_->_tmp0_, NULL, NULL, (GeeEqualDataFunc) _data_->_tmp1_, NULL, NULL);
#line 89 "../src/Plug.vala"
	_data_->search_results = _data_->_tmp2_;
#line 90 "../src/Plug.vala"
	_data_->_tmp3_ = switchboard_plug_get_display_name ((SwitchboardPlug*) _data_->self);
#line 90 "../src/Plug.vala"
	_data_->_tmp4_ = _data_->_tmp3_;
#line 90 "../src/Plug.vala"
	_data_->_tmp5_ = g_strdup_printf ("%s → %s", _data_->_tmp4_, _ ("Media Streaming"));
#line 90 "../src/Plug.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 90 "../src/Plug.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _data_->search_results, _data_->_tmp6_, "");
#line 90 "../src/Plug.vala"
	_g_free0 (_data_->_tmp6_);
#line 91 "../src/Plug.vala"
	_data_->_tmp7_ = switchboard_plug_get_display_name ((SwitchboardPlug*) _data_->self);
#line 91 "../src/Plug.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 91 "../src/Plug.vala"
	_data_->_tmp9_ = g_strdup_printf ("%s → %s", _data_->_tmp8_, _ ("DLNA and UPnP"));
#line 91 "../src/Plug.vala"
	_data_->_tmp10_ = _data_->_tmp9_;
#line 91 "../src/Plug.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _data_->search_results, _data_->_tmp10_, "");
#line 91 "../src/Plug.vala"
	_g_free0 (_data_->_tmp10_);
#line 92 "../src/Plug.vala"
	_data_->_tmp11_ = switchboard_plug_get_display_name ((SwitchboardPlug*) _data_->self);
#line 92 "../src/Plug.vala"
	_data_->_tmp12_ = _data_->_tmp11_;
#line 92 "../src/Plug.vala"
	_data_->_tmp13_ = g_strdup_printf ("%s → %s", _data_->_tmp12_, _ ("Bluetooth"));
#line 92 "../src/Plug.vala"
	_data_->_tmp14_ = _data_->_tmp13_;
#line 92 "../src/Plug.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _data_->search_results, _data_->_tmp14_, "");
#line 92 "../src/Plug.vala"
	_g_free0 (_data_->_tmp14_);
#line 93 "../src/Plug.vala"
	_data_->result = _data_->search_results;
#line 93 "../src/Plug.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 93 "../src/Plug.vala"
	if (_data_->_state_ != 0) {
#line 93 "../src/Plug.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 93 "../src/Plug.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 570 "Plug.c"
		}
	}
#line 93 "../src/Plug.vala"
	g_object_unref (_data_->_async_result);
#line 93 "../src/Plug.vala"
	return FALSE;
#line 577 "Plug.c"
}

static void
sharing_plug_update_content_view (SharingPlug* self)
{
	gboolean _tmp0_ = FALSE;
	GNetworkMonitor* _tmp1_;
#line 96 "../src/Plug.vala"
	g_return_if_fail (self != NULL);
#line 97 "../src/Plug.vala"
	_tmp1_ = g_network_monitor_get_default ();
#line 97 "../src/Plug.vala"
	if (g_network_monitor_get_network_available (_tmp1_)) {
#line 97 "../src/Plug.vala"
		_tmp0_ = TRUE;
#line 593 "Plug.c"
	} else {
		GNetworkMonitor* _tmp2_;
#line 97 "../src/Plug.vala"
		_tmp2_ = g_network_monitor_get_default ();
#line 97 "../src/Plug.vala"
		_tmp0_ = g_network_monitor_get_network_metered (_tmp2_);
#line 600 "Plug.c"
	}
#line 97 "../src/Plug.vala"
	if (_tmp0_) {
#line 604 "Plug.c"
		GtkStack* _tmp3_;
#line 98 "../src/Plug.vala"
		_tmp3_ = self->priv->content;
#line 98 "../src/Plug.vala"
		gtk_stack_set_visible_child_name (_tmp3_, "main-container");
#line 610 "Plug.c"
	} else {
		GtkStack* _tmp4_;
#line 100 "../src/Plug.vala"
		_tmp4_ = self->priv->content;
#line 100 "../src/Plug.vala"
		gtk_stack_set_visible_child_name (_tmp4_, "network-alert-view");
#line 617 "Plug.c"
	}
}

static void
sharing_plug_class_init (SharingPlugClass * klass,
                         gpointer klass_data)
{
#line 6 "../src/Plug.vala"
	sharing_plug_parent_class = g_type_class_peek_parent (klass);
#line 6 "../src/Plug.vala"
	g_type_class_adjust_private_offset (klass, &SharingPlug_private_offset);
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->get_widget = (GtkWidget* (*) (SwitchboardPlug*)) sharing_plug_real_get_widget;
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->shown = (void (*) (SwitchboardPlug*)) sharing_plug_real_shown;
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->hidden = (void (*) (SwitchboardPlug*)) sharing_plug_real_hidden;
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->search_callback = (void (*) (SwitchboardPlug*, const gchar*)) sharing_plug_real_search_callback;
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->search = (void (*) (SwitchboardPlug*, const gchar*, GAsyncReadyCallback, gpointer)) sharing_plug_real_search;
#line 6 "../src/Plug.vala"
	((SwitchboardPlugClass *) klass)->search_finish = (GeeTreeMap* (*) (SwitchboardPlug*, GAsyncResult*)) sharing_plug_search_finish;
#line 6 "../src/Plug.vala"
	G_OBJECT_CLASS (klass)->finalize = sharing_plug_finalize;
#line 643 "Plug.c"
}

static void
sharing_plug_instance_init (SharingPlug * self,
                            gpointer klass)
{
#line 6 "../src/Plug.vala"
	self->priv = sharing_plug_get_instance_private (self);
#line 7 "../src/Plug.vala"
	self->priv->content = NULL;
#line 654 "Plug.c"
}

static void
sharing_plug_finalize (GObject * obj)
{
	SharingPlug * self;
#line 6 "../src/Plug.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SHARING_TYPE_PLUG, SharingPlug);
#line 7 "../src/Plug.vala"
	_g_object_unref0 (self->priv->content);
#line 6 "../src/Plug.vala"
	G_OBJECT_CLASS (sharing_plug_parent_class)->finalize (obj);
#line 667 "Plug.c"
}

static GType
sharing_plug_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SharingPlugClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sharing_plug_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SharingPlug), 0, (GInstanceInitFunc) sharing_plug_instance_init, NULL };
	GType sharing_plug_type_id;
	sharing_plug_type_id = g_type_register_static (SWITCHBOARD_TYPE_PLUG, "SharingPlug", &g_define_type_info, 0);
	SharingPlug_private_offset = g_type_add_instance_private (sharing_plug_type_id, sizeof (SharingPlugPrivate));
	return sharing_plug_type_id;
}

GType
sharing_plug_get_type (void)
{
	static volatile gsize sharing_plug_type_id__once = 0;
	if (g_once_init_enter (&sharing_plug_type_id__once)) {
		GType sharing_plug_type_id;
		sharing_plug_type_id = sharing_plug_get_type_once ();
		g_once_init_leave (&sharing_plug_type_id__once, sharing_plug_type_id);
	}
	return sharing_plug_type_id__once;
}

SwitchboardPlug*
get_plug (GModule* module)
{
	SharingPlug* plug = NULL;
	SharingPlug* _tmp0_;
	SwitchboardPlug* result;
#line 105 "../src/Plug.vala"
	g_return_val_if_fail (module != NULL, NULL);
#line 106 "../src/Plug.vala"
	g_debug ("Plug.vala:106: Activating Sharing plug");
#line 108 "../src/Plug.vala"
	_tmp0_ = sharing_plug_new ();
#line 108 "../src/Plug.vala"
	plug = _tmp0_;
#line 110 "../src/Plug.vala"
	result = (SwitchboardPlug*) plug;
#line 110 "../src/Plug.vala"
	return result;
#line 710 "Plug.c"
}

